Productsup

Run logs

Run logs

Sign in to run requests against the CDE API.
GET
/runs/{runId}/logs

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Query Parameters

level?string

Filter by log level

from?integer

starting item

limit?integer

items per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/runs/{runId}/logs"
{
  "data": [
    {
      "id": "617953804c6b3ba1eaea02b049",
      "timestamp": "2025-11-04T10:00:00.000Z",
      "message": "Log message 1",
      "process-id": "process-1",
      "level": 7,
      "site": 123,
      "context": [
        {
          "key": "connector_id",
          "value": "01a10fc7-cbc6-7eca-bf67-a0cb13cb8fd3"
        },
        {
          "key": "application",
          "value": "container-api"
        },
        {
          "key": "connector_version",
          "value": "1.0.0"
        }
      ]
    },
    {
      "id": "a37a0c2c2a490f9a2d1d1363e5",
      "timestamp": "2025-11-04T10:01:00.000Z",
      "message": "Log message 2",
      "process-id": "process-1",
      "level": 7,
      "site": 123,
      "context": [
        {
          "key": "connector_id",
          "value": "01a10fc7-cbc6-7eca-bf67-a0cb13cb8fd3"
        },
        {
          "key": "environment",
          "value": "production"
        },
        {
          "key": "log_type",
          "value": "connector"
        }
      ]
    },
    {
      "id": "38ff8b2dd60a8aa7764a234192",
      "timestamp": "2025-11-04T10:02:00.000Z",
      "message": "Log message 3",
      "process-id": "process-1",
      "level": 7,
      "site": 123,
      "context": [
        {
          "key": "connector_id",
          "value": "01a10fc7-cbc6-7eca-bf67-a0cb13cb8fd3"
        },
        {
          "key": "application",
          "value": "container-api"
        },
        {
          "key": "connector_name",
          "value": "Test Connector"
        },
        {
          "key": "docker_image",
          "value": "docker.productsup.com/test:1.0.0"
        }
      ]
    }
  ],
  "metadata": {
    "from": 0,
    "limit": 3,
    "count": 3,
    "total": 3,
    "next": "level=7&from=3&limit=3"
  },
  "message": "Retrieved logs.",
  "resource": "logs"
}
{
  "message": "Bad request.",
  "errors": {
    "limit": "This value should be less than or equal to 1000."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}